import NewAxiosInstanceFunc from '../Service/NewAxiosInstance'
import { INewResponse } from '../Service/INewResponse'
import { IPaging } from 'Material/Material.service'
import { INewestList } from 'Newest/Newest.service'

export const SearchService = {
  getSearchList: (
    KeyWord: string,
    PageSize: number,
    CurrentIndex: number
  ): INewResponse<{ List: INewestList[]; Paging: IPaging }> =>
    NewAxiosInstanceFunc({
      url: `/search/comprehensive/list`,
      method: 'get',
      params: { KeyWord, PageSize, CurrentIndex }
    })
}
