import { AxiosPromise } from 'axios'

export interface INewResponseBase<T> {
  Data: T
  ErrCode: string
  ErrMsg: string
  Msg: string
  Ret: number
  Success: boolean
}

// eslint-disable-next-line
export interface INewResponse<T = any> extends AxiosPromise<INewResponseBase<T>> {}
